{
  num: -356031,
  accuracy: 100,
  basePower: 90,
  category: "Special",
  name: "Frost Blade",
  pp: 15,
  priority: 0,
  flags: { protect: 1},
  onModifyMove(move, source, target) {

    if (target && target.hp !== undefined) {
      const def = target.getStat('def', false, false);
      const spd = target.getStat('spd', false, false);
      
      if (def < spd) {
        move.category = 'Physical';
      } else {
        move.category = 'Special';
      }
    }
  },
    secondary: {
    chance: 50,
    status: 'frz',
  },
  target: "normal",
  type: "Ice"
}